import torch

from implicit_geometric_regularization.models.decoder import MLP, Decoder

mlp = MLP(input_size=11, output_size=22, hidden_sizes=[123, 234, 345])
print(mlp)


def activation_func_module():
    return torch.nn.Softplus(beta=100)


decoder = Decoder(input_size=259,
                  output_size=1,
                  hidden_sizes=[512, 512, 512, 512, 512, 512, 512],
                  activation_func_module=activation_func_module)
print(decoder)
